<?php
/* Autor...: Grupo Deltron S.A. */
/* Esquema.: modelo_llamadas_nhc_5.xml */
/* Generado: 2014-11-29 12:20:25 */

/* M�todos de acceso a los campos de la tabla cr_llamada_cabecera */
abstract class BaseCr_llamada_cabeceraBN
{
    /* Campos de la tabla */
    private $i_IdCabecera;    // IdCabecera: ( no definido )
    private $d_FechaTraslado;    // FechaTraslado: ( no definido )
    private $s_TipoPrestamo;    // TipoPrestamo: ( no definido )
    private $i_NumeroPrestamo;    // NumeroPrestamo: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $i_IdCliente;    // IdCliente: ( no definido )
    private $s_NombreCliente;    // NombreCliente: ( no definido )
    private $d_FechaRegistro;    // FechaRegistro: ( no definido )
    private $s_UsuarioRegistro;    // UsuarioRegistro: ( no definido )
    private $i_Eliminado;    // Eliminado: ( no definido )
    private $s_UsuarioEliminado;    // UsuarioEliminado: ( no definido )
    private $d_FechaEliminado;    // FechaEliminado: ( no definido )
    private $i_IdMercado;    // IdMercado: ( no definido )
    private $s_NombreMercado;    // NombreMercado: ( no definido )
    private $d_FechaInicio;    // FechaInicio: ( no definido )
    private $d_FechaFinal;    // FechaFinal: ( no definido )

    /* Establece el valor del campo IdCabecera */
    public function setIdCabecera( $i_IdCabecera )
    {
        $this->i_IdCabecera = $i_IdCabecera;
    }

    /* Obtiene el valor del campo IdCabecera */
    public function getIdCabecera()
    {
        return $this->i_IdCabecera;
    }

    /* Establece el valor del campo FechaTraslado */
    public function setFechaTraslado( $d_FechaTraslado )
    {
        $this->d_FechaTraslado = $d_FechaTraslado;
    }

    /* Obtiene el valor del campo FechaTraslado */
    public function getFechaTraslado()
    {
        return $this->d_FechaTraslado;
    }

    /* Establece el valor del campo TipoPrestamo */
    public function setTipoPrestamo( $s_TipoPrestamo )
    {
        $this->s_TipoPrestamo = $s_TipoPrestamo;
    }

    /* Obtiene el valor del campo TipoPrestamo */
    public function getTipoPrestamo()
    {
        return $this->s_TipoPrestamo;
    }

    /* Establece el valor del campo NumeroPrestamo */
    public function setNumeroPrestamo( $i_NumeroPrestamo )
    {
        $this->i_NumeroPrestamo = $i_NumeroPrestamo;
    }

    /* Obtiene el valor del campo NumeroPrestamo */
    public function getNumeroPrestamo()
    {
        return $this->i_NumeroPrestamo;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo IdCliente */
    public function setIdCliente( $i_IdCliente )
    {
        $this->i_IdCliente = $i_IdCliente;
    }

    /* Obtiene el valor del campo IdCliente */
    public function getIdCliente()
    {
        return $this->i_IdCliente;
    }

    /* Establece el valor del campo NombreCliente */
    public function setNombreCliente( $s_NombreCliente )
    {
        $this->s_NombreCliente = $s_NombreCliente;
    }

    /* Obtiene el valor del campo NombreCliente */
    public function getNombreCliente()
    {
        return $this->s_NombreCliente;
    }

    /* Establece el valor del campo FechaRegistro */
    public function setFechaRegistro( $d_FechaRegistro )
    {
        $this->d_FechaRegistro = $d_FechaRegistro;
    }

    /* Obtiene el valor del campo FechaRegistro */
    public function getFechaRegistro()
    {
        return $this->d_FechaRegistro;
    }

    /* Establece el valor del campo UsuarioRegistro */
    public function setUsuarioRegistro( $s_UsuarioRegistro )
    {
        $this->s_UsuarioRegistro = $s_UsuarioRegistro;
    }

    /* Obtiene el valor del campo UsuarioRegistro */
    public function getUsuarioRegistro()
    {
        return $this->s_UsuarioRegistro;
    }

    /* Establece el valor del campo Eliminado */
    public function setEliminado( $i_Eliminado )
    {
        $this->i_Eliminado = $i_Eliminado;
    }

    /* Obtiene el valor del campo Eliminado */
    public function getEliminado()
    {
        return $this->i_Eliminado;
    }

    /* Establece el valor del campo UsuarioEliminado */
    public function setUsuarioEliminado( $s_UsuarioEliminado )
    {
        $this->s_UsuarioEliminado = $s_UsuarioEliminado;
    }

    /* Obtiene el valor del campo UsuarioEliminado */
    public function getUsuarioEliminado()
    {
        return $this->s_UsuarioEliminado;
    }

    /* Establece el valor del campo FechaEliminado */
    public function setFechaEliminado( $d_FechaEliminado )
    {
        $this->d_FechaEliminado = $d_FechaEliminado;
    }

    /* Obtiene el valor del campo FechaEliminado */
    public function getFechaEliminado()
    {
        return $this->d_FechaEliminado;
    }

    /* Establece el valor del campo IdMercado */
    public function setIdMercado( $i_IdMercado )
    {
        $this->i_IdMercado = $i_IdMercado;
    }

    /* Obtiene el valor del campo IdMercado */
    public function getIdMercado()
    {
        return $this->i_IdMercado;
    }

    /* Establece el valor del campo NombreMercado */
    public function setNombreMercado( $s_NombreMercado )
    {
        $this->s_NombreMercado = $s_NombreMercado;
    }

    /* Obtiene el valor del campo NombreMercado */
    public function getNombreMercado()
    {
        return $this->s_NombreMercado;
    }

    /* Establece el valor del campo FechaInicio */
    public function setFechaInicio( $d_FechaInicio )
    {
        $this->d_FechaInicio = $d_FechaInicio;
    }

    /* Obtiene el valor del campo FechaInicio */
    public function getFechaInicio()
    {
        return $this->d_FechaInicio;
    }

    /* Establece el valor del campo FechaFinal */
    public function setFechaFinal( $d_FechaFinal )
    {
        $this->d_FechaFinal = $d_FechaFinal;
    }

    /* Obtiene el valor del campo FechaFinal */
    public function getFechaFinal()
    {
        return $this->d_FechaFinal;
    }

    /* Recupera un objeto Cr_llamada_cabeceraBN desde un RecordSet */
    public static function retrieveByRs( $o_Cr_llamada_cabeceraRs )
    {
        $o_Cr_llamada_cabeceraBN = new Cr_llamada_cabeceraBN();
        $o_Cr_llamada_cabeceraBN->setIdCabecera( ( integer ) $o_Cr_llamada_cabeceraRs[ "IdCabecera" ] );
        $o_Cr_llamada_cabeceraBN->setFechaTraslado( utilTimestamp::getTimestamp( $o_Cr_llamada_cabeceraRs[ "FechaTraslado" ], "Y-m-d H:i:s" ) );
        $o_Cr_llamada_cabeceraBN->setTipoPrestamo( $o_Cr_llamada_cabeceraRs[ "TipoPrestamo" ] );
        $o_Cr_llamada_cabeceraBN->setNumeroPrestamo( ( integer ) $o_Cr_llamada_cabeceraRs[ "NumeroPrestamo" ] );
        $o_Cr_llamada_cabeceraBN->setEstado( $o_Cr_llamada_cabeceraRs[ "Estado" ] );
        $o_Cr_llamada_cabeceraBN->setIdCliente( ( integer ) $o_Cr_llamada_cabeceraRs[ "IdCliente" ] );
        $o_Cr_llamada_cabeceraBN->setNombreCliente( $o_Cr_llamada_cabeceraRs[ "NombreCliente" ] );
        $o_Cr_llamada_cabeceraBN->setFechaRegistro( utilTimestamp::getTimestamp( $o_Cr_llamada_cabeceraRs[ "FechaRegistro" ], "Y-m-d H:i:s" ) );
        $o_Cr_llamada_cabeceraBN->setUsuarioRegistro( $o_Cr_llamada_cabeceraRs[ "UsuarioRegistro" ] );
        $o_Cr_llamada_cabeceraBN->setEliminado( ( integer ) $o_Cr_llamada_cabeceraRs[ "Eliminado" ] );
        $o_Cr_llamada_cabeceraBN->setUsuarioEliminado( $o_Cr_llamada_cabeceraRs[ "UsuarioEliminado" ] );
        $o_Cr_llamada_cabeceraBN->setFechaEliminado( utilTimestamp::getTimestamp( $o_Cr_llamada_cabeceraRs[ "FechaEliminado" ], "Y-m-d H:i:s" ) );
        $o_Cr_llamada_cabeceraBN->setIdMercado( ( integer ) $o_Cr_llamada_cabeceraRs[ "IdMercado" ] );
        $o_Cr_llamada_cabeceraBN->setNombreMercado( $o_Cr_llamada_cabeceraRs[ "NombreMercado" ] );
        $o_Cr_llamada_cabeceraBN->setFechaInicio( utilTimestamp::getTimestamp( $o_Cr_llamada_cabeceraRs[ "FechaInicio" ], "Y-m-d H:i:s" ) );
        $o_Cr_llamada_cabeceraBN->setFechaFinal( utilTimestamp::getTimestamp( $o_Cr_llamada_cabeceraRs[ "FechaFinal" ], "Y-m-d H:i:s" ) );
        return $o_Cr_llamada_cabeceraBN;
    }
}
?>